"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _hashClear_js_1 = require("./_hashClear.js");
var _hashDelete_js_1 = require("./_hashDelete.js");
var _hashGet_js_1 = require("./_hashGet.js");
var _hashHas_js_1 = require("./_hashHas.js");
var _hashSet_js_1 = require("./_hashSet.js");
function Hash(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
    }
}
Hash.prototype.clear = _hashClear_js_1.default;
Hash.prototype['delete'] = _hashDelete_js_1.default;
Hash.prototype.get = _hashGet_js_1.default;
Hash.prototype.has = _hashHas_js_1.default;
Hash.prototype.set = _hashSet_js_1.default;
exports.default = Hash;
