"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _listCacheClear_js_1 = require("./_listCacheClear.js");
var _listCacheDelete_js_1 = require("./_listCacheDelete.js");
var _listCacheGet_js_1 = require("./_listCacheGet.js");
var _listCacheHas_js_1 = require("./_listCacheHas.js");
var _listCacheSet_js_1 = require("./_listCacheSet.js");
function ListCache(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
    }
}
ListCache.prototype.clear = _listCacheClear_js_1.default;
ListCache.prototype['delete'] = _listCacheDelete_js_1.default;
ListCache.prototype.get = _listCacheGet_js_1.default;
ListCache.prototype.has = _listCacheHas_js_1.default;
ListCache.prototype.set = _listCacheSet_js_1.default;
exports.default = ListCache;
