"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _mapCacheClear_js_1 = require("./_mapCacheClear.js");
var _mapCacheDelete_js_1 = require("./_mapCacheDelete.js");
var _mapCacheGet_js_1 = require("./_mapCacheGet.js");
var _mapCacheHas_js_1 = require("./_mapCacheHas.js");
var _mapCacheSet_js_1 = require("./_mapCacheSet.js");
function MapCache(entries) {
    var index = -1, length = entries == null ? 0 : entries.length;
    this.clear();
    while (++index < length) {
        var entry = entries[index];
        this.set(entry[0], entry[1]);
    }
}
MapCache.prototype.clear = _mapCacheClear_js_1.default;
MapCache.prototype['delete'] = _mapCacheDelete_js_1.default;
MapCache.prototype.get = _mapCacheGet_js_1.default;
MapCache.prototype.has = _mapCacheHas_js_1.default;
MapCache.prototype.set = _mapCacheSet_js_1.default;
exports.default = MapCache;
