"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function arrayAggregator(array, setter, iteratee, accumulator) {
    var index = -1, length = array == null ? 0 : array.length;
    while (++index < length) {
        var value = array[index];
        setter(accumulator, value, iteratee(value), array);
    }
    return accumulator;
}
exports.default = arrayAggregator;
