"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseTimes_js_1 = require("./_baseTimes.js");
var isArguments_js_1 = require("./isArguments.js");
var isArray_js_1 = require("./isArray.js");
var isBuffer_js_1 = require("./isBuffer.js");
var _isIndex_js_1 = require("./_isIndex.js");
var isTypedArray_js_1 = require("./isTypedArray.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function arrayLikeKeys(value, inherited) {
    var isArr = isArray_js_1.default(value), isArg = !isArr && isArguments_js_1.default(value), isBuff = !isArr && !isArg && isBuffer_js_1.default(value), isType = !isArr && !isArg && !isBuff && isTypedArray_js_1.default(value), skipIndexes = isArr || isArg || isBuff || isType, result = skipIndexes ? _baseTimes_js_1.default(value.length, String) : [], length = result.length;
    for (var key in value) {
        if ((inherited || hasOwnProperty.call(value, key)) &&
            !(skipIndexes && (key == 'length' ||
                (isBuff && (key == 'offset' || key == 'parent')) ||
                (isType && (key == 'buffer' || key == 'byteLength' || key == 'byteOffset')) ||
                _isIndex_js_1.default(key, length)))) {
            result.push(key);
        }
    }
    return result;
}
exports.default = arrayLikeKeys;
