"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function arrayReduceRight(array, iteratee, accumulator, initAccum) {
    var length = array == null ? 0 : array.length;
    if (initAccum && length) {
        accumulator = array[--length];
    }
    while (length--) {
        accumulator = iteratee(accumulator, array[length], length, array);
    }
    return accumulator;
}
exports.default = arrayReduceRight;
