"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseAssignValue_js_1 = require("./_baseAssignValue.js");
var eq_js_1 = require("./eq.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function assignValue(object, key, value) {
    var objValue = object[key];
    if (!(hasOwnProperty.call(object, key) && eq_js_1.default(objValue, value)) ||
        (value === undefined && !(key in object))) {
        _baseAssignValue_js_1.default(object, key, value);
    }
}
exports.default = assignValue;
