"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function baseConformsTo(object, source, props) {
    var length = props.length;
    if (object == null) {
        return !length;
    }
    object = Object(object);
    while (length--) {
        var key = props[length], predicate = source[key], value = object[key];
        if ((value === undefined && !(key in object)) || !predicate(value)) {
            return false;
        }
    }
    return true;
}
exports.default = baseConformsTo;
