"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isSymbol_js_1 = require("./isSymbol.js");
function baseExtremum(array, iteratee, comparator) {
    var index = -1, length = array.length;
    while (++index < length) {
        var value = array[index], current = iteratee(value);
        if (current != null && (computed === undefined
            ? (current === current && !isSymbol_js_1.default(current))
            : comparator(current, computed))) {
            var computed = current, result = value;
        }
    }
    return result;
}
exports.default = baseExtremum;
