"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseFindIndex_js_1 = require("./_baseFindIndex.js");
var _baseIsNaN_js_1 = require("./_baseIsNaN.js");
var _strictIndexOf_js_1 = require("./_strictIndexOf.js");
function baseIndexOf(array, value, fromIndex) {
    return value === value
        ? _strictIndexOf_js_1.default(array, value, fromIndex)
        : _baseFindIndex_js_1.default(array, _baseIsNaN_js_1.default, fromIndex);
}
exports.default = baseIndexOf;
