"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _isPrototype_js_1 = require("./_isPrototype.js");
var _nativeKeys_js_1 = require("./_nativeKeys.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseKeys(object) {
    if (!_isPrototype_js_1.default(object)) {
        return _nativeKeys_js_1.default(object);
    }
    var result = [];
    for (var key in Object(object)) {
        if (hasOwnProperty.call(object, key) && key != 'constructor') {
            result.push(key);
        }
    }
    return result;
}
exports.default = baseKeys;
