"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isObject_js_1 = require("./isObject.js");
var _isPrototype_js_1 = require("./_isPrototype.js");
var _nativeKeysIn_js_1 = require("./_nativeKeysIn.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function baseKeysIn(object) {
    if (!isObject_js_1.default(object)) {
        return _nativeKeysIn_js_1.default(object);
    }
    var isProto = _isPrototype_js_1.default(object), result = [];
    for (var key in object) {
        if (!(key == 'constructor' && (isProto || !hasOwnProperty.call(object, key)))) {
            result.push(key);
        }
    }
    return result;
}
exports.default = baseKeysIn;
