"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function baseSum(array, iteratee) {
    var result, index = -1, length = array.length;
    while (++index < length) {
        var current = iteratee(array[index]);
        if (current !== undefined) {
            result = result === undefined ? current : (result + current);
        }
    }
    return result;
}
exports.default = baseSum;
