"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseSlice_js_1 = require("./_baseSlice.js");
function baseWhile(array, predicate, isDrop, fromRight) {
    var length = array.length, index = fromRight ? length : -1;
    while ((fromRight ? index-- : ++index < length) &&
        predicate(array[index], index, array)) { }
    return isDrop
        ? _baseSlice_js_1.default(array, (fromRight ? 0 : index), (fromRight ? index + 1 : length))
        : _baseSlice_js_1.default(array, (fromRight ? index + 1 : 0), (fromRight ? length : index));
}
exports.default = baseWhile;
