"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseDifference_js_1 = require("./_baseDifference.js");
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var _baseUniq_js_1 = require("./_baseUniq.js");
function baseXor(arrays, iteratee, comparator) {
    var length = arrays.length;
    if (length < 2) {
        return length ? _baseUniq_js_1.default(arrays[0]) : [];
    }
    var index = -1, result = Array(length);
    while (++index < length) {
        var array = arrays[index], othIndex = -1;
        while (++othIndex < length) {
            if (othIndex != index) {
                result[index] = _baseDifference_js_1.default(result[index] || array, arrays[othIndex], iteratee, comparator);
            }
        }
    }
    return _baseUniq_js_1.default(_baseFlatten_js_1.default(result, 1), iteratee, comparator);
}
exports.default = baseXor;
