"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _addMapEntry_js_1 = require("./_addMapEntry.js");
var _arrayReduce_js_1 = require("./_arrayReduce.js");
var _mapToArray_js_1 = require("./_mapToArray.js");
var CLONE_DEEP_FLAG = 1;
function cloneMap(map, isDeep, cloneFunc) {
    var array = isDeep ? cloneFunc(_mapToArray_js_1.default(map), CLONE_DEEP_FLAG) : _mapToArray_js_1.default(map);
    return _arrayReduce_js_1.default(array, _addMapEntry_js_1.default, new map.constructor);
}
exports.default = cloneMap;
