"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _assignValue_js_1 = require("./_assignValue.js");
var _baseAssignValue_js_1 = require("./_baseAssignValue.js");
function copyObject(source, props, object, customizer) {
    var isNew = !object;
    object || (object = {});
    var index = -1, length = props.length;
    while (++index < length) {
        var key = props[index];
        var newValue = customizer
            ? customizer(object[key], source[key], key, object, source)
            : undefined;
        if (newValue === undefined) {
            newValue = source[key];
        }
        if (isNew) {
            _baseAssignValue_js_1.default(object, key, newValue);
        }
        else {
            _assignValue_js_1.default(object, key, newValue);
        }
    }
    return object;
}
exports.default = copyObject;
