"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
function createAssigner(assigner) {
    return _baseRest_js_1.default(function (object, sources) {
        var index = -1, length = sources.length, customizer = length > 1 ? sources[length - 1] : undefined, guard = length > 2 ? sources[2] : undefined;
        customizer = (assigner.length > 3 && typeof customizer == 'function')
            ? (length--, customizer)
            : undefined;
        if (guard && _isIterateeCall_js_1.default(sources[0], sources[1], guard)) {
            customizer = length < 3 ? undefined : customizer;
            length = 1;
        }
        object = Object(object);
        while (++index < length) {
            var source = sources[index];
            if (source) {
                assigner(object, source, index, customizer);
            }
        }
        return object;
    });
}
exports.default = createAssigner;
