"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _apply_js_1 = require("./_apply.js");
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseRest_js_1 = require("./_baseRest.js");
var _baseUnary_js_1 = require("./_baseUnary.js");
var _flatRest_js_1 = require("./_flatRest.js");
function createOver(arrayFunc) {
    return _flatRest_js_1.default(function (iteratees) {
        iteratees = _arrayMap_js_1.default(iteratees, _baseUnary_js_1.default(_baseIteratee_js_1.default));
        return _baseRest_js_1.default(function (args) {
            var thisArg = this;
            return arrayFunc(iteratees, function (iteratee) {
                return _apply_js_1.default(iteratee, thisArg, args);
            });
        });
    });
}
exports.default = createOver;
