"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toNumber_js_1 = require("./toNumber.js");
function createRelationalOperation(operator) {
    return function (value, other) {
        if (!(typeof value == 'string' && typeof other == 'string')) {
            value = toNumber_js_1.default(value);
            other = toNumber_js_1.default(other);
        }
        return operator(value, other);
    };
}
exports.default = createRelationalOperation;
