"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseToPairs_js_1 = require("./_baseToPairs.js");
var _getTag_js_1 = require("./_getTag.js");
var _mapToArray_js_1 = require("./_mapToArray.js");
var _setToPairs_js_1 = require("./_setToPairs.js");
var mapTag = '[object Map]', setTag = '[object Set]';
function createToPairs(keysFunc) {
    return function (object) {
        var tag = _getTag_js_1.default(object);
        if (tag == mapTag) {
            return _mapToArray_js_1.default(object);
        }
        if (tag == setTag) {
            return _setToPairs_js_1.default(object);
        }
        return _baseToPairs_js_1.default(object, keysFunc(object));
    };
}
exports.default = createToPairs;
