"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _isStrictComparable_js_1 = require("./_isStrictComparable.js");
var keys_js_1 = require("./keys.js");
function getMatchData(object) {
    var result = keys_js_1.default(object), length = result.length;
    while (length--) {
        var key = result[length], value = object[key];
        result[length] = [key, value, _isStrictComparable_js_1.default(value)];
    }
    return result;
}
exports.default = getMatchData;
