"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayFilter_js_1 = require("./_arrayFilter.js");
var stubArray_js_1 = require("./stubArray.js");
var objectProto = Object.prototype;
var propertyIsEnumerable = objectProto.propertyIsEnumerable;
var nativeGetSymbols = Object.getOwnPropertySymbols;
var getSymbols = !nativeGetSymbols ? stubArray_js_1.default : function (object) {
    if (object == null) {
        return [];
    }
    object = Object(object);
    return _arrayFilter_js_1.default(nativeGetSymbols(object), function (symbol) {
        return propertyIsEnumerable.call(object, symbol);
    });
};
exports.default = getSymbols;
