"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Symbol_js_1 = require("./_Symbol.js");
var isArguments_js_1 = require("./isArguments.js");
var isArray_js_1 = require("./isArray.js");
var spreadableSymbol = _Symbol_js_1.default ? _Symbol_js_1.default.isConcatSpreadable : undefined;
function isFlattenable(value) {
    return isArray_js_1.default(value) || isArguments_js_1.default(value) ||
        !!(spreadableSymbol && value && value[spreadableSymbol]);
}
exports.default = isFlattenable;
