"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _assocIndexOf_js_1 = require("./_assocIndexOf.js");
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function listCacheDelete(key) {
    var data = this.__data__, index = _assocIndexOf_js_1.default(data, key);
    if (index < 0) {
        return false;
    }
    var lastIndex = data.length - 1;
    if (index == lastIndex) {
        data.pop();
    }
    else {
        splice.call(data, index, 1);
    }
    --this.size;
    return true;
}
exports.default = listCacheDelete;
