"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function matchesStrictComparable(key, srcValue) {
    return function (object) {
        if (object == null) {
            return false;
        }
        return object[key] === srcValue &&
            (srcValue !== undefined || (key in Object(object)));
    };
}
exports.default = matchesStrictComparable;
