"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRandom_js_1 = require("./_baseRandom.js");
function shuffleSelf(array, size) {
    var index = -1, length = array.length, lastIndex = length - 1;
    size = size === undefined ? length : size;
    while (++index < size) {
        var rand = _baseRandom_js_1.default(index, lastIndex), value = array[rand];
        array[rand] = array[index];
        array[index] = value;
    }
    array.length = size;
    return array;
}
exports.default = shuffleSelf;
