"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _apply_js_1 = require("./_apply.js");
var _baseRest_js_1 = require("./_baseRest.js");
var isError_js_1 = require("./isError.js");
var attempt = _baseRest_js_1.default(function (func, args) {
    try {
        return _apply_js_1.default(func, undefined, args);
    }
    catch (e) {
        return isError_js_1.default(e) ? e : new Error(e);
    }
});
exports.default = attempt;
