"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayPush_js_1 = require("./_arrayPush.js");
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var _copyArray_js_1 = require("./_copyArray.js");
var isArray_js_1 = require("./isArray.js");
function concat() {
    var length = arguments.length;
    if (!length) {
        return [];
    }
    var args = Array(length - 1), array = arguments[0], index = length;
    while (index--) {
        args[index - 1] = arguments[index];
    }
    return _arrayPush_js_1.default(isArray_js_1.default(array) ? _copyArray_js_1.default(array) : [array], _baseFlatten_js_1.default(args, 1));
}
exports.default = concat;
