"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseAssignValue_js_1 = require("./_baseAssignValue.js");
var _createAggregator_js_1 = require("./_createAggregator.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
var countBy = _createAggregator_js_1.default(function (result, value, key) {
    if (hasOwnProperty.call(result, key)) {
        ++result[key];
    }
    else {
        _baseAssignValue_js_1.default(result, key, 1);
    }
});
exports.default = countBy;
