"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _deburrLetter_js_1 = require("./_deburrLetter.js");
var toString_js_1 = require("./toString.js");
var reLatin = /[\xc0-\xd6\xd8-\xf6\xf8-\xff\u0100-\u017f]/g;
var rsComboMarksRange = '\\u0300-\\u036f', reComboHalfMarksRange = '\\ufe20-\\ufe2f', rsComboSymbolsRange = '\\u20d0-\\u20ff', rsComboRange = rsComboMarksRange + reComboHalfMarksRange + rsComboSymbolsRange;
var rsCombo = '[' + rsComboRange + ']';
var reComboMark = RegExp(rsCombo, 'g');
function deburr(string) {
    string = toString_js_1.default(string);
    return string && string.replace(reLatin, _deburrLetter_js_1.default).replace(reComboMark, '');
}
exports.default = deburr;
