"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseDifference_js_1 = require("./_baseDifference.js");
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseRest_js_1 = require("./_baseRest.js");
var isArrayLikeObject_js_1 = require("./isArrayLikeObject.js");
var last_js_1 = require("./last.js");
var differenceBy = _baseRest_js_1.default(function (array, values) {
    var iteratee = last_js_1.default(values);
    if (isArrayLikeObject_js_1.default(iteratee)) {
        iteratee = undefined;
    }
    return isArrayLikeObject_js_1.default(array)
        ? _baseDifference_js_1.default(array, _baseFlatten_js_1.default(values, 1, isArrayLikeObject_js_1.default, true), _baseIteratee_js_1.default(iteratee, 2))
        : [];
});
exports.default = differenceBy;
