"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseClamp_js_1 = require("./_baseClamp.js");
var _baseToString_js_1 = require("./_baseToString.js");
var toInteger_js_1 = require("./toInteger.js");
var toString_js_1 = require("./toString.js");
function endsWith(string, target, position) {
    string = toString_js_1.default(string);
    target = _baseToString_js_1.default(target);
    var length = string.length;
    position = position === undefined
        ? length
        : _baseClamp_js_1.default(toInteger_js_1.default(position), 0, length);
    var end = position;
    position -= target.length;
    return position >= 0 && string.slice(position, end) == target;
}
exports.default = endsWith;
