"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _escapeHtmlChar_js_1 = require("./_escapeHtmlChar.js");
var toString_js_1 = require("./toString.js");
var reUnescapedHtml = /[&<>"']/g, reHasUnescapedHtml = RegExp(reUnescapedHtml.source);
function escape(string) {
    string = toString_js_1.default(string);
    return (string && reHasUnescapedHtml.test(string))
        ? string.replace(reUnescapedHtml, _escapeHtmlChar_js_1.default)
        : string;
}
exports.default = escape;
