"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toString_js_1 = require("./toString.js");
var reRegExpChar = /[\\^$.*+?()[\]{}|]/g, reHasRegExpChar = RegExp(reRegExpChar.source);
function escapeRegExp(string) {
    string = toString_js_1.default(string);
    return (string && reHasRegExpChar.test(string))
        ? string.replace(reRegExpChar, '\\$&')
        : string;
}
exports.default = escapeRegExp;
