"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayEvery_js_1 = require("./_arrayEvery.js");
var _baseEvery_js_1 = require("./_baseEvery.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var isArray_js_1 = require("./isArray.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
function every(collection, predicate, guard) {
    var func = isArray_js_1.default(collection) ? _arrayEvery_js_1.default : _baseEvery_js_1.default;
    if (guard && _isIterateeCall_js_1.default(collection, predicate, guard)) {
        predicate = undefined;
    }
    return func(collection, _baseIteratee_js_1.default(predicate, 3));
}
exports.default = every;
