"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayEachRight_js_1 = require("./_arrayEachRight.js");
var _baseEachRight_js_1 = require("./_baseEachRight.js");
var _castFunction_js_1 = require("./_castFunction.js");
var isArray_js_1 = require("./isArray.js");
function forEachRight(collection, iteratee) {
    var func = isArray_js_1.default(collection) ? _arrayEachRight_js_1.default : _baseEachRight_js_1.default;
    return func(collection, _castFunction_js_1.default(iteratee));
}
exports.default = forEachRight;
