"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseInRange_js_1 = require("./_baseInRange.js");
var toFinite_js_1 = require("./toFinite.js");
var toNumber_js_1 = require("./toNumber.js");
function inRange(number, start, end) {
    start = toFinite_js_1.default(start);
    if (end === undefined) {
        end = start;
        start = 0;
    }
    else {
        end = toFinite_js_1.default(end);
    }
    number = toNumber_js_1.default(number);
    return _baseInRange_js_1.default(number, start, end);
}
exports.default = inRange;
