"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIndexOf_js_1 = require("./_baseIndexOf.js");
var toInteger_js_1 = require("./toInteger.js");
var nativeMax = Math.max;
function indexOf(array, value, fromIndex) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return -1;
    }
    var index = fromIndex == null ? 0 : toInteger_js_1.default(fromIndex);
    if (index < 0) {
        index = nativeMax(length + index, 0);
    }
    return _baseIndexOf_js_1.default(array, value, index);
}
exports.default = indexOf;
