"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseIntersection_js_1 = require("./_baseIntersection.js");
var _baseRest_js_1 = require("./_baseRest.js");
var _castArrayLikeObject_js_1 = require("./_castArrayLikeObject.js");
var last_js_1 = require("./last.js");
var intersectionWith = _baseRest_js_1.default(function (arrays) {
    var comparator = last_js_1.default(arrays), mapped = _arrayMap_js_1.default(arrays, _castArrayLikeObject_js_1.default);
    comparator = typeof comparator == 'function' ? comparator : undefined;
    if (comparator) {
        mapped.pop();
    }
    return (mapped.length && mapped[0] === arrays[0])
        ? _baseIntersection_js_1.default(mapped, undefined, comparator)
        : [];
});
exports.default = intersectionWith;
