"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _apply_js_1 = require("./_apply.js");
var _baseEach_js_1 = require("./_baseEach.js");
var _baseInvoke_js_1 = require("./_baseInvoke.js");
var _baseRest_js_1 = require("./_baseRest.js");
var isArrayLike_js_1 = require("./isArrayLike.js");
var invokeMap = _baseRest_js_1.default(function (collection, path, args) {
    var index = -1, isFunc = typeof path == 'function', result = isArrayLike_js_1.default(collection) ? Array(collection.length) : [];
    _baseEach_js_1.default(collection, function (value) {
        result[++index] = isFunc ? _apply_js_1.default(path, value, args) : _baseInvoke_js_1.default(value, path, args);
    });
    return result;
});
exports.default = invokeMap;
