"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIsNative_js_1 = require("./_baseIsNative.js");
var _isMaskable_js_1 = require("./_isMaskable.js");
var CORE_ERROR_TEXT = 'Unsupported core-js use. Try https://npms.io/search?q=ponyfill.';
function isNative(value) {
    if (_isMaskable_js_1.default(value)) {
        throw new Error(CORE_ERROR_TEXT);
    }
    return _baseIsNative_js_1.default(value);
}
exports.default = isNative;
