"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseMap_js_1 = require("./_baseMap.js");
var isArray_js_1 = require("./isArray.js");
function map(collection, iteratee) {
    var func = isArray_js_1.default(collection) ? _arrayMap_js_1.default : _baseMap_js_1.default;
    return func(collection, _baseIteratee_js_1.default(iteratee, 3));
}
exports.default = map;
