"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseOrderBy_js_1 = require("./_baseOrderBy.js");
var isArray_js_1 = require("./isArray.js");
function orderBy(collection, iteratees, orders, guard) {
    if (collection == null) {
        return [];
    }
    if (!isArray_js_1.default(iteratees)) {
        iteratees = iteratees == null ? [] : [iteratees];
    }
    orders = guard ? undefined : orders;
    if (!isArray_js_1.default(orders)) {
        orders = orders == null ? [] : [orders];
    }
    return _baseOrderBy_js_1.default(collection, iteratees, orders);
}
exports.default = orderBy;
