"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var _createWrap_js_1 = require("./_createWrap.js");
var _getHolder_js_1 = require("./_getHolder.js");
var _replaceHolders_js_1 = require("./_replaceHolders.js");
var WRAP_PARTIAL_RIGHT_FLAG = 64;
var partialRight = _baseRest_js_1.default(function (func, partials) {
    var holders = _replaceHolders_js_1.default(partials, _getHolder_js_1.default(partialRight));
    return _createWrap_js_1.default(func, WRAP_PARTIAL_RIGHT_FLAG, undefined, partials, holders);
});
partialRight.placeholder = {};
exports.default = partialRight;
