"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _basePickBy_js_1 = require("./_basePickBy.js");
var _getAllKeysIn_js_1 = require("./_getAllKeysIn.js");
function pickBy(object, predicate) {
    if (object == null) {
        return {};
    }
    var props = _arrayMap_js_1.default(_getAllKeysIn_js_1.default(object), function (prop) {
        return [prop];
    });
    predicate = _baseIteratee_js_1.default(predicate);
    return _basePickBy_js_1.default(object, props, function (value, path) {
        return predicate(value, path[0]);
    });
}
exports.default = pickBy;
