"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayReduceRight_js_1 = require("./_arrayReduceRight.js");
var _baseEachRight_js_1 = require("./_baseEachRight.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseReduce_js_1 = require("./_baseReduce.js");
var isArray_js_1 = require("./isArray.js");
function reduceRight(collection, iteratee, accumulator) {
    var func = isArray_js_1.default(collection) ? _arrayReduceRight_js_1.default : _baseReduce_js_1.default, initAccum = arguments.length < 3;
    return func(collection, _baseIteratee_js_1.default(iteratee, 4), accumulator, initAccum, _baseEachRight_js_1.default);
}
exports.default = reduceRight;
