"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var toInteger_js_1 = require("./toInteger.js");
var FUNC_ERROR_TEXT = 'Expected a function';
function rest(func, start) {
    if (typeof func != 'function') {
        throw new TypeError(FUNC_ERROR_TEXT);
    }
    start = start === undefined ? start : toInteger_js_1.default(start);
    return _baseRest_js_1.default(func, start);
}
exports.default = rest;
