"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arraySampleSize_js_1 = require("./_arraySampleSize.js");
var _baseSampleSize_js_1 = require("./_baseSampleSize.js");
var isArray_js_1 = require("./isArray.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
var toInteger_js_1 = require("./toInteger.js");
function sampleSize(collection, n, guard) {
    if ((guard ? _isIterateeCall_js_1.default(collection, n, guard) : n === undefined)) {
        n = 1;
    }
    else {
        n = toInteger_js_1.default(n);
    }
    var func = isArray_js_1.default(collection) ? _arraySampleSize_js_1.default : _baseSampleSize_js_1.default;
    return func(collection, n);
}
exports.default = sampleSize;
