"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var _baseOrderBy_js_1 = require("./_baseOrderBy.js");
var _baseRest_js_1 = require("./_baseRest.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
var sortBy = _baseRest_js_1.default(function (collection, iteratees) {
    if (collection == null) {
        return [];
    }
    var length = iteratees.length;
    if (length > 1 && _isIterateeCall_js_1.default(collection, iteratees[0], iteratees[1])) {
        iteratees = [];
    }
    else if (length > 2 && _isIterateeCall_js_1.default(iteratees[0], iteratees[1], iteratees[2])) {
        iteratees = [iteratees[0]];
    }
    return _baseOrderBy_js_1.default(collection, _baseFlatten_js_1.default(iteratees, 1), []);
});
exports.default = sortBy;
