"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseSortedIndex_js_1 = require("./_baseSortedIndex.js");
var eq_js_1 = require("./eq.js");
function sortedIndexOf(array, value) {
    var length = array == null ? 0 : array.length;
    if (length) {
        var index = _baseSortedIndex_js_1.default(array, value);
        if (index < length && eq_js_1.default(array[index], value)) {
            return index;
        }
    }
    return -1;
}
exports.default = sortedIndexOf;
