"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseSlice_js_1 = require("./_baseSlice.js");
var toInteger_js_1 = require("./toInteger.js");
function takeRight(array, n, guard) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return [];
    }
    n = (guard || n === undefined) ? 1 : toInteger_js_1.default(n);
    n = length - n;
    return _baseSlice_js_1.default(array, n < 0 ? 0 : n, length);
}
exports.default = takeRight;
