"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var escape_js_1 = require("./escape.js");
var _reEscape_js_1 = require("./_reEscape.js");
var _reEvaluate_js_1 = require("./_reEvaluate.js");
var _reInterpolate_js_1 = require("./_reInterpolate.js");
var templateSettings = {
    'escape': _reEscape_js_1.default,
    'evaluate': _reEvaluate_js_1.default,
    'interpolate': _reInterpolate_js_1.default,
    'variable': '',
    'imports': {
        '_': { 'escape': escape_js_1.default }
    }
};
exports.default = templateSettings;
