"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayMap_js_1 = require("./_arrayMap.js");
var _copyArray_js_1 = require("./_copyArray.js");
var isArray_js_1 = require("./isArray.js");
var isSymbol_js_1 = require("./isSymbol.js");
var _stringToPath_js_1 = require("./_stringToPath.js");
var _toKey_js_1 = require("./_toKey.js");
var toString_js_1 = require("./toString.js");
function toPath(value) {
    if (isArray_js_1.default(value)) {
        return _arrayMap_js_1.default(value, _toKey_js_1.default);
    }
    return isSymbol_js_1.default(value) ? [value] : _copyArray_js_1.default(_stringToPath_js_1.default(toString_js_1.default(value)));
}
exports.default = toPath;
