"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseClamp_js_1 = require("./_baseClamp.js");
var toInteger_js_1 = require("./toInteger.js");
var MAX_SAFE_INTEGER = 9007199254740991;
function toSafeInteger(value) {
    return value
        ? _baseClamp_js_1.default(toInteger_js_1.default(value), -MAX_SAFE_INTEGER, MAX_SAFE_INTEGER)
        : (value === 0 ? value : 0);
}
exports.default = toSafeInteger;
