"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseToString_js_1 = require("./_baseToString.js");
var _castSlice_js_1 = require("./_castSlice.js");
var _charsEndIndex_js_1 = require("./_charsEndIndex.js");
var _stringToArray_js_1 = require("./_stringToArray.js");
var toString_js_1 = require("./toString.js");
var reTrimEnd = /\s+$/;
function trimEnd(string, chars, guard) {
    string = toString_js_1.default(string);
    if (string && (guard || chars === undefined)) {
        return string.replace(reTrimEnd, '');
    }
    if (!string || !(chars = _baseToString_js_1.default(chars))) {
        return string;
    }
    var strSymbols = _stringToArray_js_1.default(string), end = _charsEndIndex_js_1.default(strSymbols, _stringToArray_js_1.default(chars)) + 1;
    return _castSlice_js_1.default(strSymbols, 0, end).join('');
}
exports.default = trimEnd;
