"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toString_js_1 = require("./toString.js");
var _unescapeHtmlChar_js_1 = require("./_unescapeHtmlChar.js");
var reEscapedHtml = /&(?:amp|lt|gt|quot|#39);/g, reHasEscapedHtml = RegExp(reEscapedHtml.source);
function unescape(string) {
    string = toString_js_1.default(string);
    return (string && reHasEscapedHtml.test(string))
        ? string.replace(reEscapedHtml, _unescapeHtmlChar_js_1.default)
        : string;
}
exports.default = unescape;
