"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayFilter_js_1 = require("./_arrayFilter.js");
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseProperty_js_1 = require("./_baseProperty.js");
var _baseTimes_js_1 = require("./_baseTimes.js");
var isArrayLikeObject_js_1 = require("./isArrayLikeObject.js");
var nativeMax = Math.max;
function unzip(array) {
    if (!(array && array.length)) {
        return [];
    }
    var length = 0;
    array = _arrayFilter_js_1.default(array, function (group) {
        if (isArrayLikeObject_js_1.default(group)) {
            length = nativeMax(group.length, length);
            return true;
        }
    });
    return _baseTimes_js_1.default(length, function (index) {
        return _arrayMap_js_1.default(array, _baseProperty_js_1.default(index));
    });
}
exports.default = unzip;
