"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LazyWrapper_js_1 = require("./_LazyWrapper.js");
var _LodashWrapper_js_1 = require("./_LodashWrapper.js");
var _baseAt_js_1 = require("./_baseAt.js");
var _flatRest_js_1 = require("./_flatRest.js");
var _isIndex_js_1 = require("./_isIndex.js");
var thru_js_1 = require("./thru.js");
var wrapperAt = _flatRest_js_1.default(function (paths) {
    var length = paths.length, start = length ? paths[0] : 0, value = this.__wrapped__, interceptor = function (object) { return _baseAt_js_1.default(object, paths); };
    if (length > 1 || this.__actions__.length ||
        !(value instanceof _LazyWrapper_js_1.default) || !_isIndex_js_1.default(start)) {
        return this.thru(interceptor);
    }
    value = value.slice(start, +start + (length ? 1 : 0));
    value.__actions__.push({
        'func': thru_js_1.default,
        'args': [interceptor],
        'thisArg': undefined
    });
    return new _LodashWrapper_js_1.default(value, this.__chain__).thru(function (array) {
        if (length && !array.length) {
            array.push(undefined);
        }
        return array;
    });
});
exports.default = wrapperAt;
