"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LazyWrapper_js_1 = require("./_LazyWrapper.js");
var _LodashWrapper_js_1 = require("./_LodashWrapper.js");
var _baseLodash_js_1 = require("./_baseLodash.js");
var isArray_js_1 = require("./isArray.js");
var isObjectLike_js_1 = require("./isObjectLike.js");
var _wrapperClone_js_1 = require("./_wrapperClone.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
function lodash(value) {
    if (isObjectLike_js_1.default(value) && !isArray_js_1.default(value) && !(value instanceof _LazyWrapper_js_1.default)) {
        if (value instanceof _LodashWrapper_js_1.default) {
            return value;
        }
        if (hasOwnProperty.call(value, '__wrapped__')) {
            return _wrapperClone_js_1.default(value);
        }
    }
    return new _LodashWrapper_js_1.default(value);
}
lodash.prototype = _baseLodash_js_1.default.prototype;
lodash.prototype.constructor = lodash;
exports.default = lodash;
