"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayFilter_js_1 = require("./_arrayFilter.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseRest_js_1 = require("./_baseRest.js");
var _baseXor_js_1 = require("./_baseXor.js");
var isArrayLikeObject_js_1 = require("./isArrayLikeObject.js");
var last_js_1 = require("./last.js");
var xorBy = _baseRest_js_1.default(function (arrays) {
    var iteratee = last_js_1.default(arrays);
    if (isArrayLikeObject_js_1.default(iteratee)) {
        iteratee = undefined;
    }
    return _baseXor_js_1.default(_arrayFilter_js_1.default(arrays, isArrayLikeObject_js_1.default), _baseIteratee_js_1.default(iteratee, 2));
});
exports.default = xorBy;
