"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListCache_js_1 = require("./_ListCache.js");
var _stackClear_js_1 = require("./_stackClear.js");
var _stackDelete_js_1 = require("./_stackDelete.js");
var _stackGet_js_1 = require("./_stackGet.js");
var _stackHas_js_1 = require("./_stackHas.js");
var _stackSet_js_1 = require("./_stackSet.js");
function Stack(entries) {
    var data = this.__data__ = new _ListCache_js_1.default(entries);
    this.size = data.size;
}
Stack.prototype.clear = _stackClear_js_1.default;
Stack.prototype['delete'] = _stackDelete_js_1.default;
Stack.prototype.get = _stackGet_js_1.default;
Stack.prototype.has = _stackHas_js_1.default;
Stack.prototype.set = _stackSet_js_1.default;
exports.default = Stack;
