"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function arrayEach(array, iteratee) {
    var index = -1, length = array == null ? 0 : array.length;
    while (++index < length) {
        if (iteratee(array[index], index, array) === false) {
            break;
        }
    }
    return array;
}
exports.default = arrayEach;
