"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function arrayEachRight(array, iteratee) {
    var length = array == null ? 0 : array.length;
    while (length--) {
        if (iteratee(array[length], length, array) === false) {
            break;
        }
    }
    return array;
}
exports.default = arrayEachRight;
