"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function arrayEvery(array, predicate) {
    var index = -1, length = array == null ? 0 : array.length;
    while (++index < length) {
        if (!predicate(array[index], index, array)) {
            return false;
        }
    }
    return true;
}
exports.default = arrayEvery;
