"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isObject_js_1 = require("./isObject.js");
var objectCreate = Object.create;
var baseCreate = (function () {
    function object() { }
    return function (proto) {
        if (!isObject_js_1.default(proto)) {
            return {};
        }
        if (objectCreate) {
            return objectCreate(proto);
        }
        object.prototype = proto;
        var result = new object;
        object.prototype = undefined;
        return result;
    };
}());
exports.default = baseCreate;
