"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var toInteger_js_1 = require("./toInteger.js");
var toLength_js_1 = require("./toLength.js");
function baseFill(array, value, start, end) {
    var length = array.length;
    start = toInteger_js_1.default(start);
    if (start < 0) {
        start = -start > length ? 0 : (length + start);
    }
    end = (end === undefined || end > length) ? length : toInteger_js_1.default(end);
    if (end < 0) {
        end += length;
    }
    end = start > end ? 0 : toLength_js_1.default(end);
    while (start < end) {
        array[start++] = value;
    }
    return array;
}
exports.default = baseFill;
