"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseEach_js_1 = require("./_baseEach.js");
function baseFilter(collection, predicate) {
    var result = [];
    _baseEach_js_1.default(collection, function (value, index, collection) {
        if (predicate(value, index, collection)) {
            result.push(value);
        }
    });
    return result;
}
exports.default = baseFilter;
