"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _castPath_js_1 = require("./_castPath.js");
var _toKey_js_1 = require("./_toKey.js");
function baseGet(object, path) {
    path = _castPath_js_1.default(path, object);
    var index = 0, length = path.length;
    while (object != null && index < length) {
        object = object[_toKey_js_1.default(path[index++])];
    }
    return (index && index == length) ? object : undefined;
}
exports.default = baseGet;
