"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Symbol_js_1 = require("./_Symbol.js");
var _getRawTag_js_1 = require("./_getRawTag.js");
var _objectToString_js_1 = require("./_objectToString.js");
var nullTag = '[object Null]', undefinedTag = '[object Undefined]';
var symToStringTag = _Symbol_js_1.default ? _Symbol_js_1.default.toStringTag : undefined;
function baseGetTag(value) {
    if (value == null) {
        return value === undefined ? undefinedTag : nullTag;
    }
    return (symToStringTag && symToStringTag in Object(value))
        ? _getRawTag_js_1.default(value)
        : _objectToString_js_1.default(value);
}
exports.default = baseGetTag;
