"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function baseIndexOfWith(array, value, fromIndex, comparator) {
    var index = fromIndex - 1, length = array.length;
    while (++index < length) {
        if (comparator(array[index], value)) {
            return index;
        }
    }
    return -1;
}
exports.default = baseIndexOfWith;
