"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _apply_js_1 = require("./_apply.js");
var _castPath_js_1 = require("./_castPath.js");
var last_js_1 = require("./last.js");
var _parent_js_1 = require("./_parent.js");
var _toKey_js_1 = require("./_toKey.js");
function baseInvoke(object, path, args) {
    path = _castPath_js_1.default(path, object);
    object = _parent_js_1.default(object, path);
    var func = object == null ? object : object[_toKey_js_1.default(last_js_1.default(path))];
    return func == null ? undefined : _apply_js_1.default(func, object, args);
}
exports.default = baseInvoke;
