"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIsEqualDeep_js_1 = require("./_baseIsEqualDeep.js");
var isObjectLike_js_1 = require("./isObjectLike.js");
function baseIsEqual(value, other, bitmask, customizer, stack) {
    if (value === other) {
        return true;
    }
    if (value == null || other == null || (!isObjectLike_js_1.default(value) && !isObjectLike_js_1.default(other))) {
        return value !== value && other !== other;
    }
    return _baseIsEqualDeep_js_1.default(value, other, bitmask, customizer, baseIsEqual, stack);
}
exports.default = baseIsEqual;
