"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseMatches_js_1 = require("./_baseMatches.js");
var _baseMatchesProperty_js_1 = require("./_baseMatchesProperty.js");
var identity_js_1 = require("./identity.js");
var isArray_js_1 = require("./isArray.js");
var property_js_1 = require("./property.js");
function baseIteratee(value) {
    if (typeof value == 'function') {
        return value;
    }
    if (value == null) {
        return identity_js_1.default;
    }
    if (typeof value == 'object') {
        return isArray_js_1.default(value)
            ? _baseMatchesProperty_js_1.default(value[0], value[1])
            : _baseMatches_js_1.default(value);
    }
    return property_js_1.default(value);
}
exports.default = baseIteratee;
