"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseEach_js_1 = require("./_baseEach.js");
var isArrayLike_js_1 = require("./isArrayLike.js");
function baseMap(collection, iteratee) {
    var index = -1, result = isArrayLike_js_1.default(collection) ? Array(collection.length) : [];
    _baseEach_js_1.default(collection, function (value, key, collection) {
        result[++index] = iteratee(value, key, collection);
    });
    return result;
}
exports.default = baseMap;
