"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIsMatch_js_1 = require("./_baseIsMatch.js");
var _getMatchData_js_1 = require("./_getMatchData.js");
var _matchesStrictComparable_js_1 = require("./_matchesStrictComparable.js");
function baseMatches(source) {
    var matchData = _getMatchData_js_1.default(source);
    if (matchData.length == 1 && matchData[0][2]) {
        return _matchesStrictComparable_js_1.default(matchData[0][0], matchData[0][1]);
    }
    return function (object) {
        return object === source || _baseIsMatch_js_1.default(object, source, matchData);
    };
}
exports.default = baseMatches;
