"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _Stack_js_1 = require("./_Stack.js");
var _assignMergeValue_js_1 = require("./_assignMergeValue.js");
var _baseFor_js_1 = require("./_baseFor.js");
var _baseMergeDeep_js_1 = require("./_baseMergeDeep.js");
var isObject_js_1 = require("./isObject.js");
var keysIn_js_1 = require("./keysIn.js");
function baseMerge(object, source, srcIndex, customizer, stack) {
    if (object === source) {
        return;
    }
    _baseFor_js_1.default(source, function (srcValue, key) {
        if (isObject_js_1.default(srcValue)) {
            stack || (stack = new _Stack_js_1.default);
            _baseMergeDeep_js_1.default(object, source, key, srcIndex, baseMerge, customizer, stack);
        }
        else {
            var newValue = customizer
                ? customizer(object[key], srcValue, (key + ''), object, source, stack)
                : undefined;
            if (newValue === undefined) {
                newValue = srcValue;
            }
            _assignMergeValue_js_1.default(object, key, newValue);
        }
    }, keysIn_js_1.default);
}
exports.default = baseMerge;
