"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseGet_js_1 = require("./_baseGet.js");
var _baseSet_js_1 = require("./_baseSet.js");
var _castPath_js_1 = require("./_castPath.js");
function basePickBy(object, paths, predicate) {
    var index = -1, length = paths.length, result = {};
    while (++index < length) {
        var path = paths[index], value = _baseGet_js_1.default(object, path);
        if (predicate(value, path)) {
            _baseSet_js_1.default(result, _castPath_js_1.default(path, object), value);
        }
    }
    return result;
}
exports.default = basePickBy;
