"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseUnset_js_1 = require("./_baseUnset.js");
var _isIndex_js_1 = require("./_isIndex.js");
var arrayProto = Array.prototype;
var splice = arrayProto.splice;
function basePullAt(array, indexes) {
    var length = array ? indexes.length : 0, lastIndex = length - 1;
    while (length--) {
        var index = indexes[length];
        if (length == lastIndex || index !== previous) {
            var previous = index;
            if (_isIndex_js_1.default(index)) {
                splice.call(array, index, 1);
            }
            else {
                _baseUnset_js_1.default(array, index);
            }
        }
    }
    return array;
}
exports.default = basePullAt;
