"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var eq_js_1 = require("./eq.js");
function baseSortedUniq(array, iteratee) {
    var index = -1, length = array.length, resIndex = 0, result = [];
    while (++index < length) {
        var value = array[index], computed = iteratee ? iteratee(value) : value;
        if (!index || !eq_js_1.default(computed, seen)) {
            var seen = computed;
            result[resIndex++] = value === 0 ? 0 : value;
        }
    }
    return result;
}
exports.default = baseSortedUniq;
