"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LazyWrapper_js_1 = require("./_LazyWrapper.js");
var _arrayPush_js_1 = require("./_arrayPush.js");
var _arrayReduce_js_1 = require("./_arrayReduce.js");
function baseWrapperValue(value, actions) {
    var result = value;
    if (result instanceof _LazyWrapper_js_1.default) {
        result = result.value();
    }
    return _arrayReduce_js_1.default(actions, function (result, action) {
        return action.func.apply(action.thisArg, _arrayPush_js_1.default([result], action.args));
    }, result);
}
exports.default = baseWrapperValue;
