"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _addSetEntry_js_1 = require("./_addSetEntry.js");
var _arrayReduce_js_1 = require("./_arrayReduce.js");
var _setToArray_js_1 = require("./_setToArray.js");
var CLONE_DEEP_FLAG = 1;
function cloneSet(set, isDeep, cloneFunc) {
    var array = isDeep ? cloneFunc(_setToArray_js_1.default(set), CLONE_DEEP_FLAG) : _setToArray_js_1.default(set);
    return _arrayReduce_js_1.default(array, _addSetEntry_js_1.default, new set.constructor);
}
exports.default = cloneSet;
