"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _compareAscending_js_1 = require("./_compareAscending.js");
function compareMultiple(object, other, orders) {
    var index = -1, objCriteria = object.criteria, othCriteria = other.criteria, length = objCriteria.length, ordersLength = orders.length;
    while (++index < length) {
        var result = _compareAscending_js_1.default(objCriteria[index], othCriteria[index]);
        if (result) {
            if (index >= ordersLength) {
                return result;
            }
            var order = orders[index];
            return result * (order == 'desc' ? -1 : 1);
        }
    }
    return object.index - other.index;
}
exports.default = compareMultiple;
