"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _createCtor_js_1 = require("./_createCtor.js");
var _root_js_1 = require("./_root.js");
var WRAP_BIND_FLAG = 1;
function createBind(func, bitmask, thisArg) {
    var isBind = bitmask & WRAP_BIND_FLAG, Ctor = _createCtor_js_1.default(func);
    function wrapper() {
        var fn = (this && this !== _root_js_1.default && this instanceof wrapper) ? Ctor : func;
        return fn.apply(isBind ? thisArg : this, arguments);
    }
    return wrapper;
}
exports.default = createBind;
