"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayReduce_js_1 = require("./_arrayReduce.js");
var deburr_js_1 = require("./deburr.js");
var words_js_1 = require("./words.js");
var rsApos = "['\u2019]";
var reApos = RegExp(rsApos, 'g');
function createCompounder(callback) {
    return function (string) {
        return _arrayReduce_js_1.default(words_js_1.default(deburr_js_1.default(string).replace(reApos, '')), callback, '');
    };
}
exports.default = createCompounder;
