"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRepeat_js_1 = require("./_baseRepeat.js");
var _baseToString_js_1 = require("./_baseToString.js");
var _castSlice_js_1 = require("./_castSlice.js");
var _hasUnicode_js_1 = require("./_hasUnicode.js");
var _stringSize_js_1 = require("./_stringSize.js");
var _stringToArray_js_1 = require("./_stringToArray.js");
var nativeCeil = Math.ceil;
function createPadding(length, chars) {
    chars = chars === undefined ? ' ' : _baseToString_js_1.default(chars);
    var charsLength = chars.length;
    if (charsLength < 2) {
        return charsLength ? _baseRepeat_js_1.default(chars, length) : chars;
    }
    var result = _baseRepeat_js_1.default(chars, nativeCeil(length / _stringSize_js_1.default(chars)));
    return _hasUnicode_js_1.default(chars)
        ? _castSlice_js_1.default(_stringToArray_js_1.default(result), 0, length).join('')
        : result.slice(0, length);
}
exports.default = createPadding;
