"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var eq_js_1 = require("./eq.js");
var isArrayLike_js_1 = require("./isArrayLike.js");
var _isIndex_js_1 = require("./_isIndex.js");
var isObject_js_1 = require("./isObject.js");
function isIterateeCall(value, index, object) {
    if (!isObject_js_1.default(object)) {
        return false;
    }
    var type = typeof index;
    if (type == 'number'
        ? (isArrayLike_js_1.default(object) && _isIndex_js_1.default(index, object.length))
        : (type == 'string' && index in object)) {
        return eq_js_1.default(object[index], value);
    }
    return false;
}
exports.default = isIterateeCall;
