"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _LazyWrapper_js_1 = require("./_LazyWrapper.js");
var _getData_js_1 = require("./_getData.js");
var _getFuncName_js_1 = require("./_getFuncName.js");
var wrapperLodash_js_1 = require("./wrapperLodash.js");
function isLaziable(func) {
    var funcName = _getFuncName_js_1.default(func), other = wrapperLodash_js_1.default[funcName];
    if (typeof other != 'function' || !(funcName in _LazyWrapper_js_1.default.prototype)) {
        return false;
    }
    if (func === other) {
        return true;
    }
    var data = _getData_js_1.default(other);
    return !!data && func === data[0];
}
exports.default = isLaziable;
