"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var memoize_js_1 = require("./memoize.js");
var MAX_MEMOIZE_SIZE = 500;
function memoizeCapped(func) {
    var result = memoize_js_1.default(func, function (key) {
        if (cache.size === MAX_MEMOIZE_SIZE) {
            cache.clear();
        }
        return key;
    });
    var cache = result.cache;
    return result;
}
exports.default = memoizeCapped;
