"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _copyArray_js_1 = require("./_copyArray.js");
var _isIndex_js_1 = require("./_isIndex.js");
var nativeMin = Math.min;
function reorder(array, indexes) {
    var arrLength = array.length, length = nativeMin(indexes.length, arrLength), oldArray = _copyArray_js_1.default(array);
    while (length--) {
        var index = indexes[length];
        array[length] = _isIndex_js_1.default(index, arrLength) ? oldArray[index] : undefined;
    }
    return array;
}
exports.default = reorder;
