"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ListCache_js_1 = require("./_ListCache.js");
var _Map_js_1 = require("./_Map.js");
var _MapCache_js_1 = require("./_MapCache.js");
var LARGE_ARRAY_SIZE = 200;
function stackSet(key, value) {
    var data = this.__data__;
    if (data instanceof _ListCache_js_1.default) {
        var pairs = data.__data__;
        if (!_Map_js_1.default || (pairs.length < LARGE_ARRAY_SIZE - 1)) {
            pairs.push([key, value]);
            this.size = ++data.size;
            return this;
        }
        data = this.__data__ = new _MapCache_js_1.default(pairs);
    }
    data.set(key, value);
    this.size = data.size;
    return this;
}
exports.default = stackSet;
