"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var _createWrap_js_1 = require("./_createWrap.js");
var _getHolder_js_1 = require("./_getHolder.js");
var _replaceHolders_js_1 = require("./_replaceHolders.js");
var WRAP_BIND_FLAG = 1, WRAP_PARTIAL_FLAG = 32;
var bind = _baseRest_js_1.default(function (func, thisArg, partials) {
    var bitmask = WRAP_BIND_FLAG;
    if (partials.length) {
        var holders = _replaceHolders_js_1.default(partials, _getHolder_js_1.default(bind));
        bitmask |= WRAP_PARTIAL_FLAG;
    }
    return _createWrap_js_1.default(func, bitmask, thisArg, partials, holders);
});
bind.placeholder = {};
exports.default = bind;
