"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var _createWrap_js_1 = require("./_createWrap.js");
var _getHolder_js_1 = require("./_getHolder.js");
var _replaceHolders_js_1 = require("./_replaceHolders.js");
var WRAP_BIND_FLAG = 1, WRAP_BIND_KEY_FLAG = 2, WRAP_PARTIAL_FLAG = 32;
var bindKey = _baseRest_js_1.default(function (object, key, partials) {
    var bitmask = WRAP_BIND_FLAG | WRAP_BIND_KEY_FLAG;
    if (partials.length) {
        var holders = _replaceHolders_js_1.default(partials, _getHolder_js_1.default(bindKey));
        bitmask |= WRAP_PARTIAL_FLAG;
    }
    return _createWrap_js_1.default(key, bitmask, object, partials, holders);
});
bindKey.placeholder = {};
exports.default = bindKey;
