"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseClamp_js_1 = require("./_baseClamp.js");
var toNumber_js_1 = require("./toNumber.js");
function clamp(number, lower, upper) {
    if (upper === undefined) {
        upper = lower;
        lower = undefined;
    }
    if (upper !== undefined) {
        upper = toNumber_js_1.default(upper);
        upper = upper === upper ? upper : 0;
    }
    if (lower !== undefined) {
        lower = toNumber_js_1.default(lower);
        lower = lower === lower ? lower : 0;
    }
    return _baseClamp_js_1.default(toNumber_js_1.default(number), lower, upper);
}
exports.default = clamp;
