"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseDifference_js_1 = require("./_baseDifference.js");
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var _baseRest_js_1 = require("./_baseRest.js");
var isArrayLikeObject_js_1 = require("./isArrayLikeObject.js");
var last_js_1 = require("./last.js");
var differenceWith = _baseRest_js_1.default(function (array, values) {
    var comparator = last_js_1.default(values);
    if (isArrayLikeObject_js_1.default(comparator)) {
        comparator = undefined;
    }
    return isArrayLikeObject_js_1.default(array)
        ? _baseDifference_js_1.default(array, _baseFlatten_js_1.default(values, 1, isArrayLikeObject_js_1.default, true), undefined, comparator)
        : [];
});
exports.default = differenceWith;
