"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseFill_js_1 = require("./_baseFill.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
function fill(array, value, start, end) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return [];
    }
    if (start && typeof start != 'number' && _isIterateeCall_js_1.default(array, value, start)) {
        start = 0;
        end = length;
    }
    return _baseFill_js_1.default(array, value, start, end);
}
exports.default = fill;
