"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseFindIndex_js_1 = require("./_baseFindIndex.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var toInteger_js_1 = require("./toInteger.js");
var nativeMax = Math.max;
function findIndex(array, predicate, fromIndex) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return -1;
    }
    var index = fromIndex == null ? 0 : toInteger_js_1.default(fromIndex);
    if (index < 0) {
        index = nativeMax(length + index, 0);
    }
    return _baseFindIndex_js_1.default(array, _baseIteratee_js_1.default(predicate, 3), index);
}
exports.default = findIndex;
