"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseFlatten_js_1 = require("./_baseFlatten.js");
var toInteger_js_1 = require("./toInteger.js");
function flattenDepth(array, depth) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return [];
    }
    depth = depth === undefined ? 1 : toInteger_js_1.default(depth);
    return _baseFlatten_js_1.default(array, depth);
}
exports.default = flattenDepth;
