"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayEach_js_1 = require("./_arrayEach.js");
var _baseEach_js_1 = require("./_baseEach.js");
var _castFunction_js_1 = require("./_castFunction.js");
var isArray_js_1 = require("./isArray.js");
function forEach(collection, iteratee) {
    var func = isArray_js_1.default(collection) ? _arrayEach_js_1.default : _baseEach_js_1.default;
    return func(collection, _castFunction_js_1.default(iteratee));
}
exports.default = forEach;
