"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseAssignValue_js_1 = require("./_baseAssignValue.js");
var _createAggregator_js_1 = require("./_createAggregator.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
var groupBy = _createAggregator_js_1.default(function (result, value, key) {
    if (hasOwnProperty.call(result, key)) {
        result[key].push(value);
    }
    else {
        _baseAssignValue_js_1.default(result, key, [value]);
    }
});
exports.default = groupBy;
