"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIndexOf_js_1 = require("./_baseIndexOf.js");
var isArrayLike_js_1 = require("./isArrayLike.js");
var isString_js_1 = require("./isString.js");
var toInteger_js_1 = require("./toInteger.js");
var values_js_1 = require("./values.js");
var nativeMax = Math.max;
function includes(collection, value, fromIndex, guard) {
    collection = isArrayLike_js_1.default(collection) ? collection : values_js_1.default(collection);
    fromIndex = (fromIndex && !guard) ? toInteger_js_1.default(fromIndex) : 0;
    var length = collection.length;
    if (fromIndex < 0) {
        fromIndex = nativeMax(length + fromIndex, 0);
    }
    return isString_js_1.default(collection)
        ? (fromIndex <= length && collection.indexOf(value, fromIndex) > -1)
        : (!!length && _baseIndexOf_js_1.default(collection, value, fromIndex) > -1);
}
exports.default = includes;
