"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _createInverter_js_1 = require("./_createInverter.js");
var objectProto = Object.prototype;
var hasOwnProperty = objectProto.hasOwnProperty;
var invertBy = _createInverter_js_1.default(function (result, value, key) {
    if (hasOwnProperty.call(result, value)) {
        result[value].push(key);
    }
    else {
        result[value] = [key];
    }
}, _baseIteratee_js_1.default);
exports.default = invertBy;
