"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseGetTag_js_1 = require("./_baseGetTag.js");
var isObjectLike_js_1 = require("./isObjectLike.js");
var isPlainObject_js_1 = require("./isPlainObject.js");
var domExcTag = '[object DOMException]', errorTag = '[object Error]';
function isError(value) {
    if (!isObjectLike_js_1.default(value)) {
        return false;
    }
    var tag = _baseGetTag_js_1.default(value);
    return tag == errorTag || tag == domExcTag ||
        (typeof value.message == 'string' && typeof value.name == 'string' && !isPlainObject_js_1.default(value));
}
exports.default = isError;
