"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseGetTag_js_1 = require("./_baseGetTag.js");
var isObject_js_1 = require("./isObject.js");
var asyncTag = '[object AsyncFunction]', funcTag = '[object Function]', genTag = '[object GeneratorFunction]', proxyTag = '[object Proxy]';
function isFunction(value) {
    if (!isObject_js_1.default(value)) {
        return false;
    }
    var tag = _baseGetTag_js_1.default(value);
    return tag == funcTag || tag == genTag || tag == asyncTag || tag == proxyTag;
}
exports.default = isFunction;
