"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var isInteger_js_1 = require("./isInteger.js");
var MAX_SAFE_INTEGER = 9007199254740991;
function isSafeInteger(value) {
    return isInteger_js_1.default(value) && value >= -MAX_SAFE_INTEGER && value <= MAX_SAFE_INTEGER;
}
exports.default = isSafeInteger;
