"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseAssignValue_js_1 = require("./_baseAssignValue.js");
var _baseForOwn_js_1 = require("./_baseForOwn.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
function mapValues(object, iteratee) {
    var result = {};
    iteratee = _baseIteratee_js_1.default(iteratee, 3);
    _baseForOwn_js_1.default(object, function (value, key, object) {
        _baseAssignValue_js_1.default(result, key, iteratee(value, key, object));
    });
    return result;
}
exports.default = mapValues;
