"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _root_js_1 = require("./_root.js");
var toString_js_1 = require("./toString.js");
var reTrimStart = /^\s+/;
var nativeParseInt = _root_js_1.default.parseInt;
function parseInt(string, radix, guard) {
    if (guard || radix == null) {
        radix = 0;
    }
    else if (radix) {
        radix = +radix;
    }
    return nativeParseInt(toString_js_1.default(string).replace(reTrimStart, ''), radix || 0);
}
exports.default = parseInt;
