"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var _createWrap_js_1 = require("./_createWrap.js");
var _getHolder_js_1 = require("./_getHolder.js");
var _replaceHolders_js_1 = require("./_replaceHolders.js");
var WRAP_PARTIAL_FLAG = 32;
var partial = _baseRest_js_1.default(function (func, partials) {
    var holders = _replaceHolders_js_1.default(partials, _getHolder_js_1.default(partial));
    return _createWrap_js_1.default(func, WRAP_PARTIAL_FLAG, undefined, partials, holders);
});
partial.placeholder = {};
exports.default = partial;
