"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayMap_js_1 = require("./_arrayMap.js");
var _baseAt_js_1 = require("./_baseAt.js");
var _basePullAt_js_1 = require("./_basePullAt.js");
var _compareAscending_js_1 = require("./_compareAscending.js");
var _flatRest_js_1 = require("./_flatRest.js");
var _isIndex_js_1 = require("./_isIndex.js");
var pullAt = _flatRest_js_1.default(function (array, indexes) {
    var length = array == null ? 0 : array.length, result = _baseAt_js_1.default(array, indexes);
    _basePullAt_js_1.default(array, _arrayMap_js_1.default(indexes, function (index) {
        return _isIndex_js_1.default(index, length) ? +index : index;
    }).sort(_compareAscending_js_1.default));
    return result;
});
exports.default = pullAt;
