"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayFilter_js_1 = require("./_arrayFilter.js");
var _baseFilter_js_1 = require("./_baseFilter.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var isArray_js_1 = require("./isArray.js");
var negate_js_1 = require("./negate.js");
function reject(collection, predicate) {
    var func = isArray_js_1.default(collection) ? _arrayFilter_js_1.default : _baseFilter_js_1.default;
    return func(collection, negate_js_1.default(_baseIteratee_js_1.default(predicate, 3)));
}
exports.default = reject;
