"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _basePullAt_js_1 = require("./_basePullAt.js");
function remove(array, predicate) {
    var result = [];
    if (!(array && array.length)) {
        return result;
    }
    var index = -1, indexes = [], length = array.length;
    predicate = _baseIteratee_js_1.default(predicate, 3);
    while (++index < length) {
        var value = array[index];
        if (predicate(value, index, array)) {
            result.push(value);
            indexes.push(index);
        }
    }
    _basePullAt_js_1.default(array, indexes);
    return result;
}
exports.default = remove;
