"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRepeat_js_1 = require("./_baseRepeat.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
var toInteger_js_1 = require("./toInteger.js");
var toString_js_1 = require("./toString.js");
function repeat(string, n, guard) {
    if ((guard ? _isIterateeCall_js_1.default(string, n, guard) : n === undefined)) {
        n = 1;
    }
    else {
        n = toInteger_js_1.default(n);
    }
    return _baseRepeat_js_1.default(toString_js_1.default(string), n);
}
exports.default = repeat;
