"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arrayShuffle_js_1 = require("./_arrayShuffle.js");
var _baseShuffle_js_1 = require("./_baseShuffle.js");
var isArray_js_1 = require("./isArray.js");
function shuffle(collection) {
    var func = isArray_js_1.default(collection) ? _arrayShuffle_js_1.default : _baseShuffle_js_1.default;
    return func(collection);
}
exports.default = shuffle;
