"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseSlice_js_1 = require("./_baseSlice.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
var toInteger_js_1 = require("./toInteger.js");
function slice(array, start, end) {
    var length = array == null ? 0 : array.length;
    if (!length) {
        return [];
    }
    if (end && typeof end != 'number' && _isIterateeCall_js_1.default(array, start, end)) {
        start = 0;
        end = length;
    }
    else {
        start = start == null ? 0 : toInteger_js_1.default(start);
        end = end === undefined ? length : toInteger_js_1.default(end);
    }
    return _baseSlice_js_1.default(array, start, end);
}
exports.default = slice;
