"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _arraySome_js_1 = require("./_arraySome.js");
var _baseIteratee_js_1 = require("./_baseIteratee.js");
var _baseSome_js_1 = require("./_baseSome.js");
var isArray_js_1 = require("./isArray.js");
var _isIterateeCall_js_1 = require("./_isIterateeCall.js");
function some(collection, predicate, guard) {
    var func = isArray_js_1.default(collection) ? _arraySome_js_1.default : _baseSome_js_1.default;
    if (guard && _isIterateeCall_js_1.default(collection, predicate, guard)) {
        predicate = undefined;
    }
    return func(collection, _baseIteratee_js_1.default(predicate, 3));
}
exports.default = some;
