"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseClamp_js_1 = require("./_baseClamp.js");
var _baseToString_js_1 = require("./_baseToString.js");
var toInteger_js_1 = require("./toInteger.js");
var toString_js_1 = require("./toString.js");
function startsWith(string, target, position) {
    string = toString_js_1.default(string);
    position = position == null
        ? 0
        : _baseClamp_js_1.default(toInteger_js_1.default(position), 0, string.length);
    target = _baseToString_js_1.default(target);
    return string.slice(position, position + target.length) == target;
}
exports.default = startsWith;
