"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var camelCase_js_1 = require("./camelCase.js");
var capitalize_js_1 = require("./capitalize.js");
var deburr_js_1 = require("./deburr.js");
var endsWith_js_1 = require("./endsWith.js");
var escape_js_1 = require("./escape.js");
var escapeRegExp_js_1 = require("./escapeRegExp.js");
var kebabCase_js_1 = require("./kebabCase.js");
var lowerCase_js_1 = require("./lowerCase.js");
var lowerFirst_js_1 = require("./lowerFirst.js");
var pad_js_1 = require("./pad.js");
var padEnd_js_1 = require("./padEnd.js");
var padStart_js_1 = require("./padStart.js");
var parseInt_js_1 = require("./parseInt.js");
var repeat_js_1 = require("./repeat.js");
var replace_js_1 = require("./replace.js");
var snakeCase_js_1 = require("./snakeCase.js");
var split_js_1 = require("./split.js");
var startCase_js_1 = require("./startCase.js");
var startsWith_js_1 = require("./startsWith.js");
var template_js_1 = require("./template.js");
var templateSettings_js_1 = require("./templateSettings.js");
var toLower_js_1 = require("./toLower.js");
var toUpper_js_1 = require("./toUpper.js");
var trim_js_1 = require("./trim.js");
var trimEnd_js_1 = require("./trimEnd.js");
var trimStart_js_1 = require("./trimStart.js");
var truncate_js_1 = require("./truncate.js");
var unescape_js_1 = require("./unescape.js");
var upperCase_js_1 = require("./upperCase.js");
var upperFirst_js_1 = require("./upperFirst.js");
var words_js_1 = require("./words.js");
exports.default = {
    camelCase: camelCase_js_1.default, capitalize: capitalize_js_1.default, deburr: deburr_js_1.default, endsWith: endsWith_js_1.default, escape: escape_js_1.default,
    escapeRegExp: escapeRegExp_js_1.default, kebabCase: kebabCase_js_1.default, lowerCase: lowerCase_js_1.default, lowerFirst: lowerFirst_js_1.default, pad: pad_js_1.default,
    padEnd: padEnd_js_1.default, padStart: padStart_js_1.default, parseInt: parseInt_js_1.default, repeat: repeat_js_1.default, replace: replace_js_1.default,
    snakeCase: snakeCase_js_1.default, split: split_js_1.default, startCase: startCase_js_1.default, startsWith: startsWith_js_1.default, template: template_js_1.default,
    templateSettings: templateSettings_js_1.default, toLower: toLower_js_1.default, toUpper: toUpper_js_1.default, trim: trim_js_1.default, trimEnd: trimEnd_js_1.default,
    trimStart: trimStart_js_1.default, truncate: truncate_js_1.default, unescape: unescape_js_1.default, upperCase: upperCase_js_1.default, upperFirst: upperFirst_js_1.default,
    words: words_js_1.default
};
