"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _apply_js_1 = require("./_apply.js");
var _arrayMap_js_1 = require("./_arrayMap.js");
var unzip_js_1 = require("./unzip.js");
function unzipWith(array, iteratee) {
    if (!(array && array.length)) {
        return [];
    }
    var result = unzip_js_1.default(array);
    if (iteratee == null) {
        return result;
    }
    return _arrayMap_js_1.default(result, function (group) {
        return _apply_js_1.default(iteratee, undefined, group);
    });
}
exports.default = unzipWith;
