"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _asciiWords_js_1 = require("./_asciiWords.js");
var _hasUnicodeWord_js_1 = require("./_hasUnicodeWord.js");
var toString_js_1 = require("./toString.js");
var _unicodeWords_js_1 = require("./_unicodeWords.js");
function words(string, pattern, guard) {
    string = toString_js_1.default(string);
    pattern = guard ? undefined : pattern;
    if (pattern === undefined) {
        return _hasUnicodeWord_js_1.default(string) ? _unicodeWords_js_1.default(string) : _asciiWords_js_1.default(string);
    }
    return string.match(pattern) || [];
}
exports.default = words;
