"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _baseRest_js_1 = require("./_baseRest.js");
var unzipWith_js_1 = require("./unzipWith.js");
var zipWith = _baseRest_js_1.default(function (arrays) {
    var length = arrays.length, iteratee = length > 1 ? arrays[length - 1] : undefined;
    iteratee = typeof iteratee == 'function' ? (arrays.pop(), iteratee) : undefined;
    return unzipWith_js_1.default(arrays, iteratee);
});
exports.default = zipWith;
